#ifndef _CALCULATOR_HPP_
#define _CALCULATOR_HPP_

#include "rational.hpp"
#include <QObject>
#include <QLineEdit>
#include <QStringList>
#include <QMessageBox>
#include <string>
#include <stack>

class Calculator : public QObject
{
		Q_OBJECT
public:
		Calculator(QWidget *qw, QLineEdit *qle);
public slots:
		void push();
		void add();
		void mul();
		void addInv();
		void mulInv();
signals:
		void numberOfElementsChanged(int i);
		void topOfStackChanged(std::string s);
private:
		std::stack<Rational> mystack;
		QWidget *mainWidget;
		QLineEdit *edit;
};

#endif
