#include "window.hpp"
#include "calculator.hpp"
#include <QApplication>
#include <QObject>

int main(int argc, char* argv[])
{
	QApplication app(argc, argv);

	Window *w = new Window();
	Calculator *c = new Calculator(w->mainWidget, w->edit);

	QObject::connect(w->push, SIGNAL(clicked()), c, SLOT(push()));
	QObject::connect(w->add, SIGNAL(clicked()), c, SLOT(add()));
	QObject::connect(w->mul, SIGNAL(clicked()), c, SLOT(mul()));
	QObject::connect(w->addInv, SIGNAL(clicked()), c, SLOT(addInv()));
	QObject::connect(w->mulInv, SIGNAL(clicked()), c, SLOT(mulInv()));
	QObject::connect(c, SIGNAL(numberOfElementsChanged(int)), w, SLOT(setNumberOfElements(int)));
	QObject::connect(c, SIGNAL(topOfStackChanged(std::string)), w, SLOT(setTopOfStack(std::string)));

	return app.exec();
}
