#ifndef _WINDOW_HPP_
#define _WINDOW_HPP_

#include <QObject>
#include <QLabel>
#include <QPushButton>
#include <QLineEdit>
#include <QWidget>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QString>
#include <string>

class Window : public QObject
{
		Q_OBJECT
public:
		Window();

		QWidget *mainWidget;
		QLineEdit *edit;
		QPushButton *push;
		QPushButton *add;
		QPushButton *mul;
		QPushButton *addInv;
		QPushButton *mulInv;
public slots:
		void setNumberOfElements(int i);
		void setTopOfStack(std::string s);
private:
		QWidget *subWidget0;
		QWidget *subWidget1;
		QWidget *subWidget2;
		QWidget *subWidget3;
		QLayout *mainLayout;
		QLayout *subLayout0;
		QLayout *subLayout1;
		QLayout *subLayout2;
		QLayout *subLayout3;
		QLabel *numberOfElements1;
		QLabel *numberOfElements2;
		QLabel *topOfStack1;
		QLabel *topOfStack2;
};

#endif
